Page MenuHomePhabricator

[libc++] Enable libc++-specific tests for constexpr string
AcceptedPublic

Authored by philnik on Jun 25 2022, 3:18 AM.

Details

Reviewers
ldionne
Mordante
var-const
Group Reviewers
Restricted Project

Diff Detail

Unit TestsFailed

TimeTest
1,320 mslibcxx CI GCC 12 / C++latest > llvm-libc++-shared-gcc-cfg-in.libcxx/strings/basic_string/string_capacity::max_size.pass.cpp
Script: -- : 'COMPILED WITH'; /usr/bin/g++-12 /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/libcxx/test/libcxx/strings/basic.string/string.capacity/max_size.pass.cpp -nostdinc++ -I /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/build/generic-gcc/include/c++/v1 -I /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/build/generic-gcc/include/c++/v1 -I /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/libcxx/test/support -std=c++2b -Werror -Wall -Wextra -Wshadow -Wundef -Wno-unused-command-line-argument -Wno-attributes -Wno-pessimizing-move -Wno-c++11-extensions -Wno-noexcept-type -Wno-aligned-allocation-unavailable -Wno-atomic-alignment -Wno-sized-deallocation -Wno-literal-suffix -Wno-user-defined-literals -Wno-tautological-compare -Wsign-compare -Wunused-variable -Wunused-parameter -Wunreachable-code -Wno-unused-local-typedef -D_LIBCPP_HAS_NO_PRAGMA_SYSTEM_HEADER -D_LIBCPP_DISABLE_AVAILABILITY -D_LIBCPP_DISABLE_DEPRECATION_WARNINGS -Wno-placement-new -Wno-class-memaccess -lc++experimental -L /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/build/generic-gcc/lib -Wl,-rpath,/home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/build/generic-gcc/lib -nodefaultlibs -lc++ -lm -lgcc_s -lgcc -lpthread -lc -lgcc_s -lgcc -latomic -o /home/libcxx-builder/.buildkite-agent/builds/95eed4807b93-1/llvm-project/libcxx-ci/build/generic-gcc/test/libcxx/strings/basic.string/string.capacity/Output/max_size.pass.cpp.dir/t.tmp.exe

Event Timeline

philnik created this revision.Jun 25 2022, 3:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 25 2022, 3:18 AM
philnik requested review of this revision.Jun 25 2022, 3:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 25 2022, 3:18 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision.Jun 30 2022, 5:50 AM
ldionne added inline comments.
libcxx/test/libcxx/strings/basic.string/PR42676.sh.cpp
29

#if TEST_STD_VER > xxx

This revision is now accepted and ready to land.Jun 30 2022, 5:50 AM
philnik updated this revision to Diff 442663.Jul 6 2022, 12:25 PM
  • Try to fix CI
Mordante accepted this revision.Jul 7 2022, 10:05 AM

LGTM after the CI passes!